YUI Flash Component Documentation |
Interface ILayoutContainer

Package | com.yahoo.astra.layout
Interface | public interface ILayoutContainer extends flash.events.IEventDispatcher
Implementors | LayoutContainer

Defines properties and methods required for layout containers to work with LayoutManager.

Implementations must be a subclass of DisplayObjectContainer.

See also

LayoutManager
LayoutContainer
flash.display.DisplayObjectContainer

Public Properties

| Property | Defined by
--- | --- | ---
|  | contentHeight : Number [read-only] The height of the content displayed by the layout container. | ILayoutContainer
|  | contentWidth : Number [read-only] The width of the content displayed by the layout container. | ILayoutContainer
|  | layoutMode : ILayoutMode The layout algorithm used to display children of the layout container. | ILayoutContainer

Public Methods

| Method | Defined by
--- | --- | ---
|  | invalidateLayout():void Informs the layout container that it should update the layout of its children. | ILayoutContainer
|  | validateLayout():void Immediately updates the layout of the container's children. | ILayoutContainer

Property detail

contentHeight | property

`contentHeight:Number` [read-only]

The height of the content displayed by the layout container.

Implementation
`public function get contentHeight():Number`

contentWidth | property |

`contentWidth:Number` [read-only]

The width of the content displayed by the layout container.

Implementation
`public function get contentWidth():Number`

layoutMode | property |

`layoutMode:ILayoutMode` [read-write]

The layout algorithm used to display children of the layout container.

Implementation
`public function get layoutMode():ILayoutMode`
`public function set layoutMode(value:ILayoutMode):void`

See also

Available Layout Modes (com.yahoo.astra.layout.modes)
Method detail

invalidateLayout | () | method

`public function invalidateLayout():void`

Informs the layout container that it should update the layout of its children.

validateLayout | () | method |

`public function validateLayout():void`

Immediately updates the layout of the container's children.